AOZ Studio Beta - Bug #64

Lprint returns syntax error.
01/22/2020 12:58 AM - Brian Flanagan

Status: Resolved Start date: 01/22/2020
Priority: Normal Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 8:00 hours
Target version: Beta 1

Affected version: Beta RC3

Description

Lprint by itself compiles, but doesn't work.
Example:

Lprint

Lprint with a variable or expression won't compile. (produce syntax errors)
Example:

For L=1 to 66
Lprint L

Next L

End

First pass...

Second pass...

main.aoz:2:8: error: syntax error

main.aoz:1:1: Compiler error: crash during compilation: pass:
cannot read property 'indexof' of undefined

typeerror: cannot read property 'indexof' of undefined

2

at object.replacestringintext (c:\snapshot\compiler\utilities. js)

at secondpass (c:\snapshot\compiler\compiler. js)

at object.compile (c:\snapshot\compiler\compiler.js)
at compile (c:\snapshot\compiler\aoz.js)

at aoz (c:\snapshot\compiler\aoz.js)

at object.<anonymous> (c:\snapshot\compiler\aoz.js)
at module._compile (pkg/prelude/bootstrap.js:1261:22)

at object.module._extensions..]js (internal/modules/cjs/loader.js:993:10)

at module.load (internal/modules/cjs/loader.js:813:32)

at function.module._load (internal/modules/cjs/loader.js:725:14)

Internal error
Task failed, no code generated...

The same result is produced with a string and/or expression:

L$=IIZII
Lprint "AO"+L$

History

#1 - 01/22/2020 11:05 PM - Baptiste Pillot

- Assignee set to Francois Lionet

#2 - 01/23/2020 08:19 PM - Baptiste Pillot

- Description updated

e source : https://www.amos2.fr/ide/Amos2/Ide/Program/435
https://www.amos2.fr/ide/Amos2/Ide/Program/435

e compile result : error confirmed.

#3 - 02/28/2020 04:20 AM - Brian Flanagan
- Affected version changed from 0.9.3 to 0.9.5

Tested in version 0.9.5.1.

Still fails.

#4 - 04/27/2020 08:25 PM - Brian Flanagan
- Affected version changed from 0.9.5 to 0.9.8.1

Changed affected version to 0.9.8.1 (Test 2) Still fails.

#5 - 09/11/2020 05:40 PM - Brian Flanagan
- Status changed from New to Feedback

- Affected version changed from 0.9.8.1 to Beta RC2

Still crashes the compiler in Beta RC2.

#6 - 10/05/2020 12:46 AM - Brian Flanagan
- Estimated time set to 8:00 h
- Affected version changed from Beta RC2 to Beta RC3

Still fails in Beta RC3

#7 - 11/17/2020 05:08 PM - Francois Lionet
- Status changed from Feedback to Resolved

- Target version set to Beta 1

Fixed. It now compiles, but as it is not implemented the user will receive a "instruction not implemented" error if he uses it.
